
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 辨识对象
    /// </summary>
    [Description("辨识对象")]
    public class T_HM_HAZARD_TASK_DETAIL_IDENTIFYING : MesEntityBase
    {
        /// <summary>
        /// 任务
        /// </summary>
        [Description("任务")]
        [DataFieldForeignKey("Nav_Task_Detail", "Nav_Identifyings")]
        public Guid TASK_DETAIL_ID { get; set; }
        /// <summary>
        /// 导航属性：风险表
        /// </summary>
        [Description("导航属性：任务表")]
        public T_HM_HAZARD_TASK_DETAIL Nav_Task_Detail { get; set; }
        /// <summary>
        /// 辨识对象ID
        /// </summary>
        [Description("辨识对象")]
        [DataFieldForeignKey("Nav_Identifying")]
        [FormFieldEdit]
        public Guid IDENTIFYING_ID { get; set; }
        /// <summary>
        /// 导航属性：辨识对象
        /// </summary>
        [Description("导航属性：辨识对象")]
        public T_HM_IDENTIFYING Nav_Identifying { get; set; }
    }
}
